<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.SetForeignKeyConstraint Method (Database, ForeignKeyDeleteAction)
SecondaryDatabaseConfig Class See Also Send Feedback

Specify the action taken when a referenced record in the foreign key database is deleted.

Namespace: BerkeleyDB
Assembly: libdb_dotnet50 (in libdb_dotnet50.dll) Version: 5.0.21.0

# Syntax

C#

    public void SetForeignKeyConstraint(
    	Database ForeignDB,
    	ForeignKeyDeleteAction OnDelete
    )

Visual Basic (Declaration)

    Public Sub SetForeignKeyConstraint ( _
    	ForeignDB As Database, _
    	OnDelete As ForeignKeyDeleteAction _
    )

Visual C++

    public:
    void SetForeignKeyConstraint(
    	Database^ ForeignDB,
    	ForeignKeyDeleteAction OnDelete
    )

#### Parameters

ForeignDB
  Type: BerkeleyDB..::.Database
  The foreign key database.

OnDelete
  Type: BerkeleyDB..::.ForeignKeyDeleteAction
  The action taken when a referenced record is deleted.

# See Also

SecondaryDatabaseConfig Class
SetForeignKeyConstraint Overload
BerkeleyDB Namespace